#include <gltk.hh>

using namespace gltk;
class Dialog :
	public Window
{
	FileBrowser fb;
public:
	Dialog()
	{
		add(& fb);
		fb.signal_selected().connect(sigc::mem_fun(this, & Dialog::file_selected));

		set_default_size(200, 200);
		show_all();
	}

	void file_selected(std::string name)
	{
		std::cerr << "Selected: " << name << '\n';
	}
};

int main(int argc, char * argv[])
{
	Main kit(argc, argv);
	Dialog dg;
	Main::run(dg);
	return 0;
}
